Bug Hunting Session
Bug 106116 - Math hangs by repeated Shift+F4 ("Edit" > "Previous Marker")
Summary: Math hangs by repeated Shift+F4 ("Edit" > "Previous Marker")
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Takeshi Abe
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2017-02-20 21:20 UTC by Takeshi Abe
Modified: 2017-02-28 11:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Abe 2017-02-20 21:20:37 UTC
Description:
When the cursor in the editor pane precedes any placeholder marker "<?>", invoking command "Previous Marker" causes a hang.
Since successful "Previous Marker" makes the cursor move backward, repeating Shift+F4 eventually reaches the state.

Steps to Reproduce:
1. Open LibO Math
2. Type "a"
3. Type Shift+F4

Actual Results:  
It hangs.

Expected Results:
It does nothing.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xisco Faulí 2017-02-20 22:17:51 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 880033edde516fc30225005245253293a6a58ba4
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f4

but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 Commit Notification 2017-02-21 06:46:03 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3efdd925e0ae1c080fbef3f1f79865eb6e172c68

tdf#106116 "Previous Marker" changes selection only when needed

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-02-23 12:32:58 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eac1221ff124186887b23a2f7e7b57038bd08a43&h=libreoffice-5-3

tdf#106116 "Previous Marker" changes selection only when needed

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-28 11:52:32 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9168ae9b0463c27a6d5e4b53a9afbc29ba7e07e9&h=libreoffice-5-2

tdf#106116 "Previous Marker" changes selection only when needed

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.